# norootforbuild

%define soname 3
%define ixml_soname 2
%define threadutil_soname 2

Name:		libupnp%{soname}
Summary:	Universal Plug and Play (UPnP) SDK
License:	BSD
Group:		System/Libraries
URL:		http://pupnp.sourceforge.net
Version:	1.6.5
Release:	4.7
Source:		http://prdownloads.sourceforge.net/pupnp/libupnp-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/build-%{name}-%{version}-%{release}
BuildRequires:	gcc make glibc-devel pkgconfig
Provides:	libupnp = %{version}-%{release}
Provides:	libixml%{ixml_soname} = %{version}-%{release}
Provides:	libixml = %{version}-%{release}
Provides:	libthreadutil%{threadutil_soname} = %{version}-%{release}
Provides:	libthreadutil = %{version}-%{release}
Obsoletes:	libupnp

%description
The Universal Plug and Play (UPnP) SDK for Linux provides 
support for building UPnP-compliant control points, devices, 
and bridges on Linux.

%package -n libupnp-devel
Group:		Development/Libraries/C and C++
Summary:	Include files needed for development with libupnp
Requires:	%{name} = %{version}-%{release}
Provides:	libixml-devel = %{version}-%{release}
Provides:	libthreadutil-devel = %{version}-%{release}

%description -n libupnp-devel
The libupnp-devel package contains the files necessary for development with
the UPnP SDK libraries.

%debug_package
%prep
%setup -q -n "libupnp-%{version}"

%build
%configure \
	   --with-documentation="%{_docdir}/%{name}" \
	   --enable-client \
	   --enable-device \
	   --enable-webserver \
	   --enable-tools \
	   --disable-samples

%__make %{?jobs:-j%{jobs}}

%install
%__make DESTDIR=%{buildroot} install

%__install -d "%{buildroot}%{_docdir}/%{name}"
echo -n > rpm-doc-files.lst
for f in AUTHORS ChangeLog COPYING LICENSE NEWS README THANKS TODO; do
    if [ -s "$f" ]; then
        %__install -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/$f"
	echo "%doc %{_docdir}/%{name}/${f}" >> rpm-doc-files.lst
    fi
done

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files -f rpm-doc-files.lst
%defattr(-,root,root,-)
%dir %doc %{_docdir}/%{name}
%{_libdir}/libupnp.so.%{soname}
%{_libdir}/libupnp.so.%{soname}.*.*
%{_libdir}/libixml.so.%{ixml_soname}
%{_libdir}/libixml.so.%{ixml_soname}.*.*
%{_libdir}/libthreadutil.so.%{threadutil_soname}
%{_libdir}/libthreadutil.so.%{threadutil_soname}.*.*

%files -n libupnp-devel
%defattr(0644,root,root,0755)
%dir %doc %{_docdir}/%{name}
%doc %{_docdir}/%{name}/examples
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/*.pdf
%{_includedir}/upnp
%{_libdir}/libixml.so
%{_libdir}/libixml.la
%{_libdir}/libixml.a
%{_libdir}/libthreadutil.so
%{_libdir}/libthreadutil.la
%{_libdir}/libthreadutil.a
%{_libdir}/libupnp.so
%{_libdir}/libupnp.la
%{_libdir}/libupnp.a
%{_libdir}/pkgconfig/libupnp.pc

%changelog
* Sat May 24 2008 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

